BuildSystem: Enable autotools in FreeBSD.
authorAlexander Traud <pabstraud@compuserve.com>
Mon, 29 Jan 2018 16:20:39 +0000 (17:20 +0100)
committerAlexander Traud <pabstraud@compuserve.com>
Mon, 29 Jan 2018 16:20:39 +0000 (17:20 +0100)
In the current versions of FreeBSD, the apps of GNU autotools do not need to
be called with a version anymore. The latest version can be invoked directly.
Additionally, the script ./bootstrap.sh asked for autoconf 2.62 and
automake 1.9, versions which are not available as port anymore.

ASTERISK-27637

Change-Id: Id7b94b80e78cc943a40ba79b697e3f70019820a7

bootstrap.sh

index 272c57b..fe39ea2 100755 (executable)
@@ -13,9 +13,9 @@ check_for_app() {
 # On Linux, environment variables tell which one to use.
 
 case `uname -sr` in
-       'FreeBSD 4'*)   # FreeBSD 4.x has a different naming
-               MY_AC_VER=259
-               MY_AM_VER=19
+       FreeBSD*)
+               MY_AC_VER=
+               MY_AM_VER=
                ;;
        OpenBSD*)
                export AUTOCONF_VERSION=2.63